Api Documentation

Apphook triggers

This endpoint can be used to manage Apphook Triggers. Triggers can be used to trigger actions inside the Bundeling App. Multiple triggers can be created for the same Apphook.
Retrieves a collection of Apphook Triggers and rudimentary information about them.
Creates an Apphook Trigger. Only available for listed endpoints.
Json
XML
POST https://api.bundeling.com/V2/apphook_triggers

Parameters

Body

NameDescriptionTypeNillableRequired
apphook_uuidThe unique identifier of the Apphook that this Trigger belongs to.stringfalsetrue
typeThe type of trigger.
Accepted values: Time, StatusInterval
stringfalsetrue
propertiesProperties that define how the trigger works.jsonfalsetrue

Example request

Headers

Content-Type:application/json
Api-Key:RAegSX8yZfEbqSPM

Body

{
    "apphook_uuid": "eeb763c41c054dcc8f6d9362f24ee9b2",
    "type": "Time",
    "properties": "{\n\t\t\t\t\t\t\t\t'startdate': '2026-10-03T00:00:00+0200',\n\t\t\t\t\t\t\t\t'enddate': '2026-12-03T00:00:00+0100'\n\t\t\t\t\t\t\t}"
}

Example response

{
    "uuid": "eeb763c41c054dcc8f6d9362f24ee9b2",
    "apphook_uuid": "cc8f6d9362f24ee9b2eeb763c41c054d",
    "type": "Time",
    "properties": "{\n\t\t\t\t'startdate': '2026-10-03T00:00:00+0200',\n\t\t\t\t'enddate': '2026-12-03T00:00:00+0100'\n\t\t\t}",
    "creationdate": "2026-06-03T00:00:00+0200",
    "lastupdate": "2026-06-03T00:00:00+0200"
}